summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2022-02-10 09:26:40 +0200
committerLars Wirzenius <liw@liw.fi>2022-02-10 07:27:52 +0000
commit5bf9771aac8d823ffa7d9425a89a1e9e8acfd3eb (patch)
tree85e67133272624e115abc7c2f4aa450c12d498cd
parent8aa848213f758cb3fabd94d4c2a6b83c1144240b (diff)
downloadvmdb2-5bf9771aac8d823ffa7d9425a89a1e9e8acfd3eb.tar.gz
test: add ./check-all script to run entire test suite
Sponsored-by: author
-rwxr-xr-xcheck-all10
1 files changed, 10 insertions, 0 deletions
diff --git a/check-all b/check-all
new file mode 100755
index 0000000..deba11d
--- /dev/null
+++ b/check-all
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -euo pipefail
+
+cachedir="$1"
+
+cd "$(dirname "$0")"
+./check
+./check-images "$cachedir"
+./check-external "$cachedir"